diff --git a/test/ruby/test_keyword.rb b/test/ruby/test_keyword.rb
index a0459553ac..f6e882a8d4 100644
--- a/test/ruby/test_keyword.rb
+++ b/test/ruby/test_keyword.rb
@@ -1856,25 +1856,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], :m.to_proc.call(c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], :m.to_proc.call(c, **kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], :m.to_proc.call(c, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], :m.to_proc.call(c, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], :m.to_proc.call(c, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], :m.to_proc.call(c, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], :m.to_proc.call(c, a: 1, **h2))
     end
 
@@ -1924,10 +1924,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, m.call(c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, m.call(c, **kw))
     end
     assert_equal(h, m.call(c, **h))
@@ -1947,11 +1947,11 @@ def c.m(**args)
     assert_equal(h2, m.call(c, **h2))
     assert_equal(h3, m.call(c, **h3))
     assert_equal(h3, m.call(c, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, m.call(c, h))
     end
     assert_raise(ArgumentError) { m.call(c, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { m.call(c, h3) }
     end
 
@@ -1959,25 +1959,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], m.call(c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], m.call(c, **kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], m.call(c, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], m.call(c, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], m.call(c, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], m.call(c, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], m.call(c, a: 1, **h2))
     end
 
@@ -2026,10 +2026,10 @@ def c.method_missing(_); end
     def c.method_missing(_, args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(h, c.m(**h))
@@ -2049,11 +2049,11 @@ def c.method_missing(_, **args)
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -2061,25 +2061,25 @@ def c.method_missing(_, **args)
     def c.method_missing(_, arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.m(**kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.m(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
 
@@ -2137,11 +2137,11 @@ def c.method_missing(_, args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.m(**{}))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(h, c.m(**h))
@@ -2161,11 +2161,11 @@ def c.method_missing(_, **args)
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -2178,31 +2178,31 @@ def c.method_missing(_, arg, **args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.m(**{}))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.m(**kw))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.m(**h))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
 
@@ -2252,10 +2252,10 @@ def c.method_missing(_); end
     def c.method_missing(_, args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(h, c.m(**h))
@@ -2275,11 +2275,11 @@ def c.method_missing(_, **args)
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -2287,25 +2287,25 @@ def c.method_missing(_, **args)
     def c.method_missing(_, arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.m(**kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.m(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
 
@@ -2344,10 +2344,10 @@ class << c
     class << c
       define_method(:m) {|arg| arg }
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(h, c.m(**h))
@@ -2379,11 +2379,11 @@ class << c
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -2391,25 +2391,25 @@ class << c
     class << c
       define_method(:m) {|arg, **opt| [arg, opt] }
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([kw, kw], c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([kw, kw], c.m(**kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h, kw], c.m(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
 
@@ -2429,10 +2429,10 @@ class << c
     class << c
       define_method(:m) {|*args, **opt| [args, opt] }
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[], h], c.m(h))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[h], h], c.m(h, h))
     end
 
@@ -2440,10 +2440,10 @@ class << c
     class << c
       define_method(:m) {|arg=nil, a: nil| [arg, a] }
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([h2, 1], c.m(h3))
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([h2, 1], c.m(**h3))
     end
   end
@@ -2472,10 +2472,10 @@ class << c
       define_method(:m) {|arg| arg }
     end
     m = c.method(:m)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, m.call(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, m.call(**kw))
     end
     assert_equal(h, m.call(**h))
@@ -2509,11 +2509,11 @@ class << c
     assert_equal(h2, m.call(**h2))
     assert_equal(h3, m.call(**h3))
     assert_equal(h3, m.call(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal(h, m.call(h))
     end
     assert_raise(ArgumentError) { m.call(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
       assert_raise(ArgumentError) { m.call(h3) }
     end
 
@@ -2522,25 +2522,25 @@ class << c
       define_method(:m) {|arg, **opt| [arg, opt] }
     end
     m = c.method(:m)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([kw, kw], m.call(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([kw, kw], m.call(**kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h, kw], m.call(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h, kw], m.call(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h2, kw], m.call(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h3, kw], m.call(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h3, kw], m.call(a: 1, **h2))
     end
 
@@ -2562,10 +2562,10 @@ class << c
       define_method(:m) {|*args, **opt| [args, opt] }
     end
     m = c.method(:m)
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[], h], m.call(h))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[h], h], m.call(h, h))
     end
 
@@ -2574,10 +2574,10 @@ class << c
       define_method(:m) {|arg=nil, a: nil| [arg, a] }
     end
     m = c.method(:m)
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([h2, 1], m.call(h3))
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([h2, 1], m.call(**h3))
     end
   end
@@ -2631,10 +2631,10 @@ def test_attr_writer_kwsplat
     class << c
       attr_writer :m
     end
-    assert_warn(/Passing the keyword argument for `m=' as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument for `m=' as the last hash parameter is deprecated/) do
       c.send(:m=, **{})
     end
-    assert_warn(/Passing the keyword argument for `m=' as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument for `m=' as the last hash parameter is deprecated/) do
       c.send(:m=, **kw)
     end
     assert_equal(h, c.send(:m=, **h))
@@ -2663,10 +2663,10 @@ class << c
       attr_writer :m
     end
     m = c.method(:m=)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       m.call(**{})
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       m.call(**kw)
     end
     assert_equal(h, m.call(**h))
@@ -2691,17 +2691,17 @@ def test_proc_ruby2_keywords
 
     assert_equal([[1], h1], foo.call(1, :a=>1, &->(*args, **kw){[args, kw]}))
     assert_equal([1, h1], foo.call(1, :a=>1, &->(*args){args}))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/) do
       assert_equal([[1], h1], foo.call(1, {:a=>1}, &->(*args, **kw){[args, kw]}))
     end
     assert_equal([1, h1], foo.call(1, {:a=>1}, &->(*args){args}))
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h1, {}], foo.call(:a=>1, &->(arg, **kw){[arg, kw]}))
     end
     assert_equal(h1, foo.call(:a=>1, &->(arg){arg}))
 
     [->(){}, ->(arg){}, ->(*args, **kw){}, ->(*args, k: 1){}, ->(*args, k: ){}].each do |pr|
-      assert_warn(/Skipping set of ruby2_keywords flag for proc \(proc accepts keywords or proc does not accept argument splat\)/) do
+      assert_warning(/Skipping set of ruby2_keywords flag for proc \(proc accepts keywords or proc does not accept argument splat\)/) do
         pr.ruby2_keywords
       end
     end
@@ -2711,12 +2711,12 @@ def o.foo(*args)
       yield(*args)
     end
     foo = o.method(:foo).to_proc
-    assert_warn(/Skipping set of ruby2_keywords flag for proc \(proc created from method\)/) do
+    assert_warning(/Skipping set of ruby2_keywords flag for proc \(proc created from method\)/) do
       foo.ruby2_keywords
     end
 
     foo = :foo.to_proc
-    assert_warn(/Skipping set of ruby2_keywords flag for proc \(proc not defined in Ruby\)/) do
+    assert_warning(/Skipping set of ruby2_keywords flag for proc \(proc not defined in Ruby\)/) do
       foo.ruby2_keywords
     end
 
@@ -2907,19 +2907,19 @@ def method_missing(*args)
     assert_equal([[h1], {}], o.foo_foo_bar(h1, **{}))
     assert_equal([h1], o.foo_foo_baz(h1, **{}))
 
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.foo(:bar, 1, h1))
     end
     assert_equal([1, h1], o.foo(:baz, 1, h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.bfoo(:bar, 1, h1))
     end
     assert_equal([1, h1], o.bfoo(:baz, 1, h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.store_foo(:bar, 1, h1))
     end
     assert_equal([1, h1], o.store_foo(:baz, 1, h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.foo_bar(1, h1))
     end
     assert_equal([1, h1], o.foo_baz(1, h1))
